### Enumeration

# EBook BookStatus

deprecated: 3.2

#### Declaration

    enum EBook.BookStatus

#### Description [src]

Error codes for the #E_BOOK_ERROR error.

Deprecated since: 3.2

Use `EBookClient` and it’s error codes instead.

#### Members

`E_BOOK_ERROR_OK`

  No description available.

  - Value: `0`
  - Available since: 1.2
`E_BOOK_ERROR_INVALID_ARG`

  No description available.

  - Value: `1`
  - Available since: 1.2
`E_BOOK_ERROR_BUSY`

  No description available.

  - Value: `2`
  - Available since: 1.2
`E_BOOK_ERROR_REPOSITORY_OFFLINE`

  No description available.

  - Value: `3`
  - Available since: 1.2
`E_BOOK_ERROR_NO_SUCH_BOOK`

  No description available.

  - Value: `4`
  - Available since: 1.2
`E_BOOK_ERROR_NO_SELF_CONTACT`

  No description available.

  - Value: `5`
  - Available since: 1.2
`E_BOOK_ERROR_SOURCE_NOT_LOADED`

  No description available.

  - Value: `6`
  - Available since: 1.2
`E_BOOK_ERROR_SOURCE_ALREADY_LOADED`

  No description available.

  - Value: `7`
  - Available since: 1.2
`E_BOOK_ERROR_PERMISSION_DENIED`

  No description available.

  - Value: `8`
  - Available since: 1.2
`E_BOOK_ERROR_CONTACT_NOT_FOUND`

  No description available.

  - Value: `9`
  - Available since: 1.2
`E_BOOK_ERROR_CONTACT_ID_ALREADY_EXISTS`

  No description available.

  - Value: `10`
  - Available since: 1.2
`E_BOOK_ERROR_PROTOCOL_NOT_SUPPORTED`

  No description available.

  - Value: `11`
  - Available since: 1.2
`E_BOOK_ERROR_CANCELLED`

  No description available.

  - Value: `12`
  - Available since: 1.2
`E_BOOK_ERROR_COULD_NOT_CANCEL`

  No description available.

  - Value: `13`
  - Available since: 1.2
`E_BOOK_ERROR_AUTHENTICATION_FAILED`

  No description available.

  - Value: `14`
  - Available since: 1.2
`E_BOOK_ERROR_AUTHENTICATION_REQUIRED`

  No description available.

  - Value: `15`
  - Available since: 1.2
`E_BOOK_ERROR_TLS_NOT_AVAILABLE`

  No description available.

  - Value: `16`
  - Available since: 1.2
`E_BOOK_ERROR_DBUS_EXCEPTION`

  No description available.

  - Value: `17`
  - Available since: 1.2
`E_BOOK_ERROR_NO_SUCH_SOURCE`

  No description available.

  - Value: `18`
  - Available since: 1.2
`E_BOOK_ERROR_OFFLINE_UNAVAILABLE`

  No description available.

  - Value: `19`
  - Available since: 1.2
`E_BOOK_ERROR_OTHER_ERROR`

  No description available.

  - Value: `20`
  - Available since: 1.2
`E_BOOK_ERROR_INVALID_SERVER_VERSION`

  No description available.

  - Value: `21`
  - Available since: 1.2
`E_BOOK_ERROR_UNSUPPORTED_AUTHENTICATION_METHOD`

  No description available.

  - Value: `22`
  - Available since: 1.2
`E_BOOK_ERROR_NO_SPACE`

  No description available.

  - Value: `23`
  - Available since: 1.2
`E_BOOK_ERROR_NOT_SUPPORTED`

  No description available.

  - Value: `24`
  - Available since: 1.2